Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159519

Summary: extra file in .../pub/bootstrap on satellite
Product: Red Hat Satellite 5 Reporter: Max Spevack <mspevack>
Component: OtherAssignee: Todd Sanders <tsanders>
Status: CLOSED WONTFIX QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: rhn-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://mspevack64.rdu.redhat.com/pub/bootstrap/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-03-24 17:56:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Max Spevack 2005-06-03 14:41:46 UTC
Description of problem:

/pub/bootstrap seems to have an extra file.  I installed a satellite at
mspevack64.rdu.redhat.com, and the /pub/bootstrap directory has:

bootstrap.sh
client-config-overrides.txt
client-config-overrides.txt.1
client_config_update.py

What's up with the "client-config-overrides.txt.1" file?  It's the same as the
client-configp-overrides.txt file, so it seems like it's superfluous.

Version-Release number of selected component (if applicable):
rhn400 -44 ISO

How reproducible:
go to mspevack64.rdu.redhat.com/pub/boostrap or install your own

Comment 1 Todd Warner 2005-06-03 19:40:46 UTC
misa ping re: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=159519
misa who generates that file?
taw-hm common.rhnlib.rotatefile(...)
misa yes, but where is that called?
taw-hm if you call the generation script twice it will back up the file before
writing to it. 
taw-hm The installer will call rhn-bootstrap (IIRC). And the way rotatefile
works is that it will always generate at least 1 backup if it doesn't exist.
taw-hm regardless if the "new" files is any different.
misa sounds like NOTABUG then?
taw-hm don't know. It works as designed... not sure if we want to tweak it.
misa If I call rhn_bootstrap.py it will generate .1, but not .2, .3, .4 etc
taw-hm I will cut-n-paste this conversation into the bug
taw-hm and rhn-uncommit it.
taw-hm It will only generate .2, .3, .4 if it needs to.
misa but client-config-overrides.txt and client-config-overrides.txt.1 are identical
misa why does it create the .1 then?
taw-hm cuz... that's the way it works. You say "rotate this file". It does just
that.
taw-hm More or less you are saying "I need a backup for this file". So, it
doesn't precisely what you ask.
taw-hm s/doesn't/does/
misa seems inconsistent to me, but I'm fine
taw-hm *shrug* seems like there needs to be some tweakage somewhere.
taw-hm Therefore I will cut-n-paste this in the back and throw it in
rhn-uncommitted.
taw-hm s/back/bug - ugh. I can't type.

Comment 2 Red Hat Bugzilla 2007-05-03 04:18:10 UTC
User pvetere@redhat.com's account has been closed